Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.extension
Class CompatibilityStatus

    java.lang.Object
      org.eclipse.birt.report.model.api.extension.CompatibilityStatus

    public class CompatibilityStatus

extends java.lang.Object

Class that records some status after the report item checks the compatibilities.

Field Summary
`static int` | `CONVERT_COMPATIBILITY_TYPE` Status that indicates the report item has some compatibilities to do.
`protected java.util.List<SemanticException>` | `errors` List of the errors after checking compatibilities.
`static int` | `NOT_SUPPORTED_TYPE` Status that indicates the version of the report item is not supported.
`static int` | `OK_TYPE` Status that indicates the report item has no compatibilities and its version is supported also.
`protected int` | `statusType` Type of the status.

Constructor Summary
`CompatibilityStatus()` Default constructor.
`CompatibilityStatus(java.util.List<? extends SemanticException> errors, int type)` Constructs this status with the error list and the type.

Method Summary
`java.util.List<SemanticException>` | `getErrors()` Gets the error list of this status after checking the compatibilities.
`int` | `getStatusType()` Gets the type of this status.
`void` | `setErrors(java.util.List<SemanticException> errors)` Sets the error list of this status.
`void` | `setStatusType(int type)` Sets the type of this status.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OK_TYPE

    public static final int OK_TYPE

  Status that indicates the report item has no compatibilities and its version is supported also.

  See Also:
    Constant Field Values

### NOT_SUPPORTED_TYPE

    public static final int NOT_SUPPORTED_TYPE

  Status that indicates the version of the report item is not supported.

  See Also:
    Constant Field Values

### CONVERT_COMPATIBILITY_TYPE

    public static final int CONVERT_COMPATIBILITY_TYPE

  Status that indicates the report item has some compatibilities to do.

  See Also:
    Constant Field Values

### errors

    protected java.util.List<SemanticException> errors

  List of the errors after checking compatibilities.

### statusType

    protected int statusType

  Type of the status.

Constructor Detail

### CompatibilityStatus

    public CompatibilityStatus()

  Default constructor.

### CompatibilityStatus

    public CompatibilityStatus(java.util.List<? extends SemanticException> errors,
                               int type)

  Constructs this status with the error list and the type.

  Parameters:
    `errors` -
    `type` -

Method Detail

### getErrors

    public java.util.List<SemanticException> getErrors()

  Gets the error list of this status after checking the compatibilities. Each item in the list is instance of `SemanticException`.

  Returns:
    the errors

### setErrors

    public void setErrors(java.util.List<SemanticException> errors)

  Sets the error list of this status.

  Parameters:
    `errors` - the errors to set

### getStatusType

    public int getStatusType()

  Gets the type of this status. The possible values are:
  - OK_TYPE
  - NOT_SUPPORTED_TYPE
  - CONVERT_COMPATIBILITY_TYPE
  By default, type is `OK_TYPE`.

  Returns:
    the statusType

### setStatusType

    public void setStatusType(int type)

  Sets the type of this status. The possible values are:
  - OK_TYPE
  - NOT_SUPPORTED_TYPE
  - CONVERT_COMPATIBILITY_TYPE

  Parameters:
    `type` - the status type to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.